<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 *
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 * @author          Website Baker Project, LEPTON Project
 * @copyright       2004-2010 Website Baker Project
 * @copyright       2010-2015 LEPTON Project
 * @link            http://www.LEPTON-cms.org
 * @license         http://www.gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */


// include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {
	include(LEPTON_PATH.'/framework/class.secure.php');
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) {
		include($root.'/framework/class.secure.php');
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php



// Define that this file is loaded
if(!defined('LANGUAGE_LOADED')) {
	define('LANGUAGE_LOADED', true);
}

// Set the language information
$language_code = 'FR';
$language_name = 'Fran&ccedil;ais';
$language_version = '1.0';
$language_platform = '1.0.x';
$language_author = 'Fr&eacute;d&eacute;ric Bonain';
$language_license = 'GNU General Public License';
$language_guid = '32E0F6E0-2FA3-4033-9F9D-77E0EA3B4745';

$MENU = array(
	'ACCESS' 				=> 'Acc&egrave;s',
	'ADDON' 				=> 'Module',
	'ADDONS' 				=> 'Modules',
	'ADMINTOOLS' 			=> 'Outils d&apos;administration',
	'BREADCRUMB' 			=> 'Vous &ecirc;tes ici: ',
	'FORGOT' 				=> 'Retrouver vos identifiants de connexion',
	'GROUP' 				=> 'Groupe',
	'GROUPS' 				=> 'Groupes',
	'HELP' 					=> 'Aide',
	'LANGUAGES' 			=> 'Languages',
	'LOGIN' 				=> 'Connexion',
	'LOGOUT' 				=> 'D&eacute;connexion',
	'MEDIA' 				=> 'Media',
	'MODULES' 				=> 'Modules',
	'PAGES' 				=> 'Pages',
	'PREFERENCES' 			=> 'Pr&eacute;f&eacute;rences',
	'SETTINGS' 				=> 'R&eacute;glages',
	'START' 				=> 'Accueil',
	'TEMPLATES' 			=> 'Th&egrave;mes',
	'USERS' 				=> 'Utilisateurs',
	'VIEW' 					=> 'Voir le site',
	'SERVICE'				=> 'Services'
); // $MENU

$TEXT = array(
	'ACCOUNT_SIGNUP' 		=> 'Cr&eacute;er un compte',
	'ACTION_NOT_SUPPORTED'	=> 'Action not supported',
	'ACTIONS' 				=> 'Actions',
	'ACTIVE' 				=> 'Actif',
	'ADD' 					=> 'Ajouter',
	'ADDON' 				=> 'Module',
	'ADD_SECTION' 			=> 'Ajouter une section',
	'ADMIN' 				=> 'Admin',
	'ADMINISTRATION' 		=> 'Administration',
	'ADMINISTRATION_TOOL' 	=> 'Outils d&apos;Administration',
	'ADMINISTRATOR' 		=> 'Administrateur',
	'ADMINISTRATORS' 		=> 'Administrateurs',
	'ADVANCED' 				=> 'Avanc&eacute;',
	'ALLOWED_FILETYPES_ON_UPLOAD' => 'Fichiers autoris&eacute;s &agrave; l&apos;upload',
	'ALLOWED_VIEWERS' 		=> 'Visiteurs autoris&eacute;s',
	'ALLOW_MULTIPLE_SELECTIONS' => 'Autoriser la s&eacute;lection multiple',
	'ALL_WORDS' 			=> 'Tous les mots',
	'ANCHOR' 				=> 'Ancre',
	'ANONYMOUS' 			=> 'Anonyme',
	'ANY_WORDS' 			=> 'Chaque mot',
	'APP_NAME' 				=> 'Nom de l&apos;application',
	'ARE_YOU_SURE' 			=> 'Etes-vous s&ucirc;r ?',
	'AUTHOR' 				=> 'Auteur',
	'BACK' 					=> 'Retour',
	'BACKUP' 				=> 'Sauvegarde',
	'BACKUP_ALL_TABLES' 	=> 'Sauvegarder toutes les tables de la base de donn&eacute;es',
	'BACKUP_DATABASE' 		=> 'Sauvegarde de la base de donn&eacute;es',
	'BACKUP_MEDIA' 			=> 'Sauvegarde des fichiers media',
	'BACKUP_WB_SPECIFIC' 	=> 'Sauvegarder uniquement les tables li&eacute;es &agrave; WebsiteBaker',
	'BASIC' 				=> 'Classique',
	'BLOCK' 				=> 'Bloc',
	'BACKEND_TITLE'	=>	'Backendtitle',
	'CALENDAR' 				=> 'Calendrier',
	'CANCEL' 				=> 'Annuler',
	'CAN_DELETE_HIMSELF' 	=> 'Peut se supprimer',
	'CAPTCHA_VERIFICATION' 	=> 'V&eacute;rification par captcha',
	'CAP_EDIT_CSS' 			=> 'Editer la CSS',
	'CHANGE' 				=> 'Changer',
	'CHANGES' 				=> 'Modifications',
	'CHANGE_SETTINGS' 		=> 'Modifier les r&eacute;glages',
	'CHARSET' 				=> 'Charset',
	'CHECKBOX_GROUP' 		=> 'Groupe de checkbox',
	'CLOSE' 				=> 'Fermer',
	'CODE' 					=> 'Code',
	'CODE_SNIPPET' 			=> 'Code-snippet',
	'COLLAPSE' 				=> 'Contracter',
	'COMMENT' 				=> 'Commentaire',
	'COMMENTING' 			=> 'Commentaire en cours',
	'COMMENTS' 				=> 'Commentaires',
	'CREATE_FOLDER' 		=> 'Cr&eacute;er un dossier',
	'CURRENT' 				=> 'Courant',
	'CURRENT_FOLDER' 		=> 'Dossier courant',
	'CURRENT_PAGE' 			=> 'Page courante',
	'CURRENT_PASSWORD' 		=> 'Mot de passe actuel',
	'CUSTOM' 				=> 'Adapter',
	'DATABASE' 				=> 'Base de donn&eacute;es',
	'DATE' 					=> 'Date',
	'DATE_FORMAT' 			=> 'Format de la date ',
	'DEFAULT' 				=> 'D&eacute;faut',
	'DEFAULT_CHARSET' 		=> 'D&eacute;faut Charset',
	'DEFAULT_TEXT' 			=> 'Texte par d&eacute;faut',
	'DELETE' 				=> 'Supprimer',
	'DELETED' 				=> 'Supprim&eacute;',
	'DELETE_DATE' 			=> 'Supprim&eacute; date',
	'DELETE_ZIP' 			=> 'Effacer l&apos;archive zip apr&egrave;s d&eacute;compression',
	'DESCRIPTION' 			=> 'D&eacute;scription',
	'DESIGNED_FOR' 			=> 'Cr&eacute;&eacute; par',
	'DIRECTORIES' 			=> 'R&eacute;pertoires',
	'DIRECTORY_MODE' 		=> 'Propri&eacute;t&eacute;s des r&eacute;pertoires',
	'DISABLED' 				=> 'D&eacute;sactiv&eacute;',
	'DISPLAY_NAME' 			=> 'Afficher le nom',
	'EMAIL' 				=> 'Email',
	'EMAIL_ADDRESS' 		=> 'Adresse email',
	'EMPTY_TRASH' 			=> 'Vider la corbeille',
	'ENABLE_JAVASCRIPT'		=> 'S&apos;il vous pla&icirc;t activer votre javascript pour utiliser ce formulaire.',
	'ENABLED' 				=> 'Activ&eacute;',
	'END' 					=> 'Fin',
	'ERROR' 				=> 'Erreur',
	'EXACT_MATCH' 			=> 'Terme exact',
	'EXECUTE' 				=> 'Executer',
	'EXPAND' 				=> 'D&eacute;ployer',
	'EXTENSION' 			=> 'Extension',
	'FIELD' 				=> 'Champs',
	'FILE' 					=> 'Fichier',
	'FILES' 				=> 'Fichiers',
	'FILESYSTEM_PERMISSIONS' => 'Permissions des fichiers syst&egrave;me',
	'FILE_MODE' 			=> 'Propri&eacute;t&eacute;s des fichiers',
	'FINISH_PUBLISHING' 	=> 'Fin de publication',
	'FOLDER' 				=> 'Dossier',
	'FOLDERS' 				=> 'Dossiers',
	'FOOTER' 				=> 'Pied de page',
	'FORGOTTEN_DETAILS' 	=> 'Identifiants oubli&eacute;s?',
	'FORGOT_DETAILS' 		=> 'Identifiants oubli&eacute;s ?',
	'FROM' 					=> 'De',
	'FRONTEND' 				=> 'Page d&apos;accueil',
	'FULL_NAME' 			=> 'Nom complet',
	'FUNCTION' 				=> 'Fonction',
	'GROUP' 				=> 'Groupe',
	'HEADER' 				=> 'Ent&ecirc;te',
	'HEADING' 				=> 'Haut de page',
	'HEADING_CSS_FILE' 		=> 'Feuille css actuelle:',
	'HEIGHT' 				=> 'Hauteur',
	'HELP_LEPTOKEN_LIFETIME'		=> 'en secondes, 0 signifie pas de protection CSRF!',
	'HELP_MAX_ATTEMPTS'		=> 'En atteignant ce nombre, plus aucune tentatives de connexion ne sont possibles pour cette session.',
	'HIDDEN' 				=> 'Cach&eacute;',
	'HIDE' 					=> 'Cacher',
	'HIDE_ADVANCED' 		=> 'Cacher les options avanc&eacute;es',
	'HOME' 					=> 'Accueil',
	'HOMEPAGE_REDIRECTION' 	=> 'Redirection de la page d&apos;accueil',
	'HOME_FOLDER' 			=> 'R&eacute;pertoire de d&eacute;part',
	'HOME_FOLDERS' 			=> 'R&eacute;pertoires de d&eacute;part',
	'HOST' 					=> 'H&ocirc;te',
	'ICON' 					=> 'Icone',
	'IMAGE' 				=> 'Image',
	'INLINE' 				=> 'En ligne',
	'INSTALL' 				=> 'Installer',
	'INSTALLATION' 			=> 'Installation',
	'INSTALLATION_PATH' 	=> 'Chemin d&apos;installation',
	'INSTALLATION_URL' 		=> 'Adresse d&apos;installation (URL)',
	'INSTALLED' 			=> 'install&eacute;',
	'INTRO' 				=> 'Intro',
	'INTRO_PAGE' 			=> 'Page d&apos;installation',
	'INVALID_SIGNS' 		=> 'doit commencer par une lettre ou contient des signes invalides',
	'KEYWORDS' 				=> 'Mots-cl&eacute;s',
	'LANGUAGE' 				=> 'Language',
	'LAST_UPDATED_BY' 		=> 'Derni&egrave;re mise &agrave; jour par',
	'LENGTH' 				=> 'Longueur',
	'LEPTOKEN_LIFETIME'		=> 'Leptoken Lifetime',
	'LEVEL' 				=> 'Niveau',
	'LIBRARY'				=> 'Biblioth&egrave;que',
	'LICENSE'				=> 'License',
	'LINK' 					=> 'Lien',
	'LINUX_UNIX_BASED' 		=> 'Bas&eacute; sur linux/unix',
	'LIST_OPTIONS' 			=> 'Liste des options',
	'LOGGED_IN' 			=> 'Connect&eacute;',
	'LOGIN' 				=> 'Connexion',
	'LONG' 					=> 'Long',
	'LONG_TEXT' 			=> 'Long Texte',
	'LOOP' 					=> 'Boucle',
	'MAIN' 					=> 'Principal',
	'MANAGE' 				=> 'G&eacute;rer',
	'MANAGE_GROUPS' 		=> 'Gestion des groupes',
	'MANAGE_USERS' 			=> 'Gestion des utilisateurs',
	'MATCH' 				=> 'Correspond',
	'MATCHING' 				=> 'Correspondance',
	'MAX_ATTEMPTS'			=> 'Tentatives de connexion erron&eacute;es autoris&eacute;es',
	'MAX_EXCERPT' 			=> 'Nombre maximum de ligne &agrave; retourner',
	'MAX_SUBMISSIONS_PER_HOUR' => 'Maximum de soumissions par heure',
	'MEDIA_DIRECTORY' 		=> 'R&eacute;pertoire des medias',
	'MENU' 					=> 'Menu',
	'MENU_ICON_0' 			=> 'Menu-Icone normal',
	'MENU_ICON_1' 			=> 'Menu-Icone hover',
	'MENU_TITLE' 			=> 'Titre du menu',
	'MESSAGE' 				=> 'Message',
	'MODIFY' 				=> 'Modifier',
	'MODIFY_CONTENT' 		=> 'Modifier le contenu',
	'MODIFY_SETTINGS' 		=> 'Modifier les r&eacute;glages',
	'MODULE_ORDER' 			=> 'Ordre de recherche dans les modules',
	'MODULE_PERMISSIONS' 	=> 'Permissions sur les modules',
	'MORE' 					=> 'Plus',
	'MOVE_DOWN' 			=> 'D&eacute;placer vers le bas',
	'MOVE_UP' 				=> 'D&eacute;placer vers le haut',
	'MULTIPLE_MENUS' 		=> 'Menus multiples',
	'MULTISELECT' 			=> 'Multi-s&eacute;lection',
	'NAME' 					=> 'Nom',
	'NEED_CURRENT_PASSWORD' => 'confirmer avec le mot de passe actuel',
	'NEED_PASSWORD_TO_CONFIRM' => "S\'il vous pla&icirc;t confirmer les modifications avec votre mot de passe actuel",
	'NEED_TO_LOGIN' 		=> 'Identification obligatoire',
	'NEW_PASSWORD' 			=> 'Nouveau mot de passe',
	'NEW_USER_HINT'			=> 'Minimum length for user name: %d chars, Minimum length for Password: %d chars!',
	'NEW_USER_HINT'			=> 'Longueur minimale pour nom d\'utilisateur: %d caract&egrave;res, la longueur minimale pour le mot de passe: %d caract&egraveres!',
	'NEW_WINDOW' 			=> 'Nouvelle fen&ecirc;tre',
	'NEXT' 					=> 'Suivant',
	'NEXT_PAGE' 			=> 'Page suivante',
	'NO' 					=> 'Non',
	'NO_LEPTON_ADDON'		=> 'Ce module ne peut pas &ecirc;tre utilis&eacute; avec LEPTON cms',
	'NONE' 					=> 'Aucun',
	'NONE_FOUND' 			=> 'Aucune occurence trouv&eacute;e',
	'NOT_FOUND' 			=> 'Introuvable',
	'NOT_INSTALLED' 		=> 'non install&eacute;',
	'NO_RESULTS' 			=> 'Aucun r&eacute;sultat',
	'OF' 					=> 'De',
	'ON' 					=> 'Sur',
	'OPEN' 					=> 'Ouvert',
	'OPTION' 				=> 'Option',
	'OTHERS' 				=> 'Autres',
	'OUT_OF' 				=> 'Hors de',
	'OVERWRITE_EXISTING' 	=> 'Ecraser les donn&eacute;es (si d&eacute;j&agrave; existantes)',
	'PAGE' 					=> 'Page',
	'PAGES_DIRECTORY' 		=> 'R&eacute;pertoire des pages',
	'PAGES_PERMISSION' 		=> 'Permission de la pages',
	'PAGES_PERMISSIONS' 	=> 'Permission des pages',
	'PAGE_EXTENSION' 		=> 'Extension des pages',
	'PAGE_ICON' 			=> 'Image de la page',//or "icone de la page"
	'PAGE_ID'				=> 'Page ID',
	'PAGE_LANGUAGES' 		=> 'Langues des pages',
	'PAGE_LEVEL_LIMIT' 		=> 'Limite de niveau de page',
	'PAGE_SPACER' 			=> 'Espacement de page',
	'PAGE_TITLE' 			=> 'Titre de la page',
	'PAGE_TRASH' 			=> 'Corbeille pour les pages supprim&eacute;es',
	'PARENT' 				=> 'Parent',
	'PASSWORD' 				=> 'Mot de passe',
	'PATH' 					=> 'Chemin',
	'PHP_ERROR_LEVEL' 		=> 'Niveau d&apos;erreur PHP',
	'PLEASE_LOGIN' 			=> 'Merci de vous identifier',
	'PLEASE_SELECT' 		=> 'S&eacute;lectionnez',
	'POST' 					=> 'Actualit&eacute;',
	'POSTS_PER_PAGE' 		=> 'Nombre d&apos;actualit&eacute; par page',
	'POST_FOOTER' 			=> 'Pied de page de l&apos;actualit&eacute;',
	'POST_HEADER' 			=> 'Ent&ecirc;te de l&apos;actualit&eacute;',
	'PREVIOUS' 				=> 'Pr&eacute;c&eacute;dent',
	'PREVIOUS_PAGE' 		=> 'Page pr&eacute;c&eacute;dente',
	'PRIVATE' 				=> 'Priv&eacute;e',
	'PRIVATE_VIEWERS' 		=> 'Utilisateurs priv&eacute;s',
	'PROFILES_EDIT' 		=> 'Editer le profil',
	'PUBLIC' 				=> 'Publique',
	'PUBL_END_DATE' 		=> 'Date de fin',
	'PUBL_START_DATE' 		=> 'Date de d&eacute;but',
	'RADIO_BUTTON_GROUP' 	=> 'Groupe de boutons radio',
	'READ' 					=> 'Lire',
	'READ_MORE' 			=> 'En savoir plus',
	'REDIRECT_AFTER' 		=> 'Redirection apr&egrave;s coup',
	'REGISTERED' 			=> 'Enregistr&eacute;',
	'REGISTERED_VIEWERS' 	=> 'Utilisateurs enregistr&eacute;s',
	'REGISTERED_CONTENT'	=> 'Seuls les visiteurs inscrits sur ce site ont acc&egrave;s &agrave; ce contenu',
	'RELOAD' 				=> 'Actualiser',
	'REMEMBER_ME' 			=> 'Se souvenir de moi',
	'RENAME' 				=> 'Renommer',
	'RENAME_FILES_ON_UPLOAD' => 'Renommer les fichiers lors de l&apos;upload',
	'REQUIRED' 				=> 'Obligatoire',
	'REQUIREMENT' 			=> 'Param&egrave;tres requis',
	'RESET' 				=> 'R&eacute;initialiser',
	'RESIZE' 				=> 'Redimensionner',
	'RESIZE_IMAGE_TO' 		=> 'Redimensionner l&apos;image',
	'RESTORE' 				=> 'Restaurer',
	'RESTORE_DATABASE' 		=> 'Restauration de la base de donn&eacute;es',
	'RESTORE_MEDIA' 		=> 'Restauration des fichiers media',
	'RESULTS' 				=> 'R&eacute;sultats',
	'RESULTS_FOOTER' 		=> 'Results Footer',
	'RESULTS_FOR' 			=> 'Results For',
	'RESULTS_HEADER' 		=> 'Ent&ecirc;te du mod&egrave;le de recherche',
	'RESULTS_LOOP' 			=> 'Mod&egrave;le d&apos;affichage de la boucle de recherche',
	'RETYPE_NEW_PASSWORD' 	=> 'Saisissez &agrave; nouveau votre nouveau mot de passe',
	'RETYPE_PASSWORD' 		=> 'Saisissez &agrave; nouveau votre mot de passe',
	'SAME_WINDOW' 			=> 'M&ecirc;me fen&ecirc;tre',
	'SAVE' 					=> 'Sauvegarder',
	'SEARCH' 				=> 'Rechercher',
	'SEARCH_FOR'  => 'Rechercher par',
	'SEARCHING' 			=> 'Rechercher',
	'SECTION' 				=> 'c',
	'SECTION_BLOCKS' 		=> 'Bloc de rubrique',
	'SECTION_ID' => 'Rubrique ID',
	'SEC_ANCHOR' 			=> 'Section d&apos;ancre',
	'SELECT_BOX' 			=> 'S&eacute;lection des bo&icirc;tes',
	'SEND_DETAILS' 			=> 'Valider',
	'SEPARATE' 				=> 'S&eacute;parer',
	'SEPERATOR' 			=> 'S&eacute;pareur',
	'SERVER_EMAIL' 			=> 'Serveur de mail',
	'SERVER_OPERATING_SYSTEM' => 'Syst&egrave;me d&apos;exploitation du serveur',
	'SESSION_IDENTIFIER' 	=> 'Identifiant de session',
	'SETTINGS' 				=> 'R&eacute;glages',
	'SHORT' 				=> 'Court',
	'SHORT_TEXT' 			=> 'Court Text',
	'SHOW' 					=> 'Afficher',
	'SHOW_ADVANCED' 		=> 'Afficher les options avanc&eacute;es',
	'SIGNUP' 				=> 'Cr&eacute;er un compte',
	'SIZE' 					=> 'Taille',
	'SMART_LOGIN' 			=> 'Identification rapide',
	'START' 				=> 'Accueil',
	'START_PUBLISHING' 		=> 'D&eacute;but de publication',
	'SUBJECT' 				=> 'Sujet',
	'SUBMISSIONS' 			=> 'Soumissions',
	'SUBMISSIONS_STORED_IN_DATABASE' => 'Enregistrement des soumissions dans la base de donn&eacute;es',
	'SUBMISSION_ID' 		=> 'Soumissions ID',
	'SUBMITTED' 			=> 'Envoy&eacute;',
	'SUCCESS' 				=> 'Op&eacute;ration r&eacute;ussie',
	'SYSTEM_DEFAULT' 		=> 'Syst&egrave;me par d&eacute;faut',
	'SYSTEM_PERMISSIONS' 	=> 'Permissions syst&egrave;me',
	'TABLE_PREFIX' 			=> 'Pr&eacute;fixe du nom des tables',
	'TARGET' 				=> 'Cible',
	'TARGET_FOLDER' 		=> 'Dossier de destination',
	'TEMPLATE' 				=> 'Th&egrave;mes',
	'TEMPLATE_PERMISSIONS' 	=> 'Permissions sur les th&egrave;mes',
	'TEXT' 					=> 'Texte',
	'TEXTAREA' 				=> 'Zone de texte',
	'TEXTFIELD' 			=> 'Champ de texte',
	'THEME' 				=> 'Th&egrave;me graphique de l&apos;interface d&apos;administration',
	'TIME' 					=> 'Heure',
	'TIMEZONE' 				=> 'Fuseau horaire',
	'TIME_FORMAT' 			=> 'Format de l&apos;heure',
	'TIME_LIMIT' 			=> 'D&eacute;lai maximal de recherche par module',
	'TITLE' 				=> 'Titre',
	'TO' 					=> 'De',
	'TOP_FRAME' 			=> 'Fen&ecirc;tre actuelle compl&egrave;te (top frame)',
	'TRASH_EMPTIED' 		=> 'Corbeille vid&eacute;e',
	'TXT_EDIT_CSS_FILE' 	=> 'Editer les styles CSS dans la zone de texte ci-dessous.',
	'TYPE' 					=> 'Type',
	'UNINSTALL' 			=> 'D&eacute;sinstaller',
	'UNKNOWN' 				=> 'Inconnu',
	'UNLIMITED' 			=> 'Illimit&eacute;',
	'UNZIP_FILE' 			=> 'Uploader et d&eacute;compresser l&apos;archive zip',
	'UP' 					=> 'Haut',
	'UPGRADE' 				=> 'Mise &agrave; jour',
	'UPLOAD_FILES' 			=> 'Uploader un/des fichier(s)',
	'URL' 					=> 'URL',
	'USER' 					=> 'Utilisateur',
	'USERNAME' 				=> 'Nom d&apos;utilisateur',
	'USERS_ACTIVE' 			=> 'L\'utilisateur est mis en actifs',
	'USERS_CAN_SELFDELETE' 	=> 'L\'utilisateur peut se supprimer',
	'USERS_CHANGE_SETTINGS' => 'L\'utilisateur peut changer ses r&eacute;glages',
	'USERS_DELETED' 		=> 'L\'utilisateur est marqu&eacute; comme supprim&eacute;',
	'USERS_FLAGS' 			=> 'Drapeaux utilisateurs',
	'USERS_PROFILE_ALLOWED' => 'L\'utilisateur peut cr&eacute;er un profil &eacute;tendu',
	'VERIFICATION' 			=> 'V&eacute;rification',
	'VERSION' 				=> 'Version',
	'VIEW' 					=> 'Voir le site',
	'VIEW_DELETED_PAGES' 	=> 'Voir les pages supprim&eacute;es',
	'VIEW_DETAILS' 			=> 'Voir les D&eacute;tails',
	'VISIBILITY' 			=> 'Visibilit&eacute;',
	'WBMAILER_DEFAULT_SENDER_MAIL' => 'Adresse d&apos;exp&eacute;diteur par d&eacute;faut',
	'WBMAILER_DEFAULT_SENDER_NAME' => 'Nom d&apos;exp&eacute;diteur par d&eacute;faut',
	'WBMAILER_DEFAULT_SETTINGS_NOTICE' => 'Merci d&apos;indiquer un nom et une adresse d&apos;exp&eacute;diteur par d&eacute;faut. Il est recommand&eacute; d&apos;utiliser une adresse d&apos;exp&eacute;diteur de la forme : <strong>admin@yourdomain.com</strong>. Certains op&eacute;rateurs de mail (comme <em>mail.com</em>) peuvent rejeter les mails dont l&apos;adresse d&apos;exp&eacute;diteur est de la forme <em>name@mail.com</em> envoy&eacute;s via un relai, c&apos;est leur mani&egrave;re de lutter contre le spam.<br /><br />Les valeur par d&eacute;faut sont uniquement utilis&eacute;es si aucune autre valeur n&apos;est sp&eacute;cifi&eacute;e par WebsiteBaker. Si votre serveur supporte <acronym title="Simple mail transfer protocol">SMTP</acronym>, vous pouvez utiliser cette option pour l&apos;exp&eacute;dition d&apos;emails.',
	'WBMAILER_FUNCTION' 	=> 'M&eacute;canisme d&apos;envoi de mail',
	'WBMAILER_NOTICE' 		=> '<strong>Param&egrave;tres du serveur SMTP :</strong><br />Les param&egrave;tres ci-dessous sont uniquement requis si vous souhaitez envoyer des mails via <acronym title="Simple mail transfer protocol">SMTP</acronym>. Si vous ne connaissez pas votre serveur SMTP ou si vous n&apos;&ecirc;tes pas s&ucirc;r de la valeur des param&egrave;tres requis, conservez simplement le m&eacute;canisme par d&eacute;faut : PHP MAIL.',
	'WBMAILER_PHP' 			=> 'PHP MAIL',
	'WBMAILER_SEND_TESTMAIL' => 'Envoyer un email de test',
	'WBMAILER_SMTP' 		=> 'SMTP',
	'WBMAILER_SMTP_AUTH' 	=> 'Authentification SMTP',
	'WBMAILER_SMTP_AUTH_NOTICE' => 'n&apos;utilisez l&apos;authentification que si votre seveur SMTP ne l&apos;exige',
	'WBMAILER_SMTP_HOST' 	=> 'H&ocirc;te SMTP',
	'WBMAILER_SMTP_PASSWORD' => 'mot de passe SMTP',
	'WBMAILER_SMTP_USERNAME' => 'nom d&apos;utilisateur SMTP',
  'WBMAILER_TESTMAIL_FAILED' => 'L\'email de test ne peut pas &ecirc;tre envoy&eacute;! V&eacute;rifiez vos r&eacute;glage s.v.p. !',
	'WBMAILER_TESTMAIL_SUCCESS' => 'L\'email de test a &ecirc;tre envoy&eacute; avec succ&egrave;. V&eacute;rifiez votre boite mail.',
  'WBMAILER_TESTMAIL_TEXT' => 'Ceci est le mail de test: PHP Mailer est op&eacute;rationnel',
	'WEBSITE' 				=> 'Site internet',
	'WEBSITE_DESCRIPTION' 	=> 'Description du site',
	'WEBSITE_FOOTER' 		=> 'Pied de page du site',
	'WEBSITE_HEADER' 		=> 'Ent&ecirc;te du site',
	'WEBSITE_KEYWORDS' 		=> 'Mots cl&eacute;s du site',
	'WEBSITE_TITLE' 		=> 'Titre du site',
	'WELCOME_BACK' 			=> 'Bienvenue',
	'WIDTH' 				=> 'Largeur',
	'WINDOW' 				=> 'Fen&ecirc;tre',
	'WINDOWS' 				=> 'Windows',
	'WORLD_WRITEABLE_FILE_PERMISSIONS' => 'Permissions d&apos;&eacute;criture sur fichier',
	'WRITE' 				=> 'Ecrire',
	'WYSIWYG_EDITOR' 		=> 'Editeur WYSIWYG',
	'WYSIWYG_STYLE'	 		=> 'Style WYSIWYG',
	'YES' 					=> 'Oui',
	'BASICS'	=> array(
		'day'		=> "Jour",		# day, singular
		'day_pl'	=> "Jours",		# day, plural
		'hour'		=> "heure", 		# hour, singular
		'hour_pl'	=> "heures",		# hour, plural
		'minute'	=> "minute",	# minute, singular
		'minute_pl'	=> "minutes",	# minute, plural
	)
); // $TEXT

$HEADING = array(
	'ADDON_PRECHECK_FAILED' => 'Echec de l&apos;installation de l&apos;extension. Votre syst&egrave;me ne respecte pas les pr&eacute;-requis de cette extension. Pour la faire fonctionner, merci de solutionner les erreurs list&eacute;es ci-dessous.',
	'ADD_CHILD_PAGE' 		=> 'Ajouter une page enfant',
	'ADD_GROUP' 			=> 'Ajouter un groupe',
	'ADD_GROUPS' 			=> 'Ajouter des groupes',
	'ADD_HEADING' 			=> 'Ajouter un ent&ecirc;te',
	'ADD_PAGE' 				=> 'Ajouter une page',
	'ADD_USER' 				=> 'Ajouter un utilisateur',
	'ADMINISTRATION_TOOLS' 	=> 'Outils d&apos;administration',
	'BROWSE_MEDIA' 			=> 'Parcourir le dossier media',
	'CREATE_FOLDER' 		=> 'Cr&eacute;er un dossier',
	'DEFAULT_SETTINGS' 		=> 'R&eacute;glages par d&eacute;faut',
	'DELETED_PAGES' 		=> 'Pages effac&eacute;es',
	'FILESYSTEM_SETTINGS' 	=> 'R&eacute;glages des fichiers syst&egrave;mes',
	'GENERAL_SETTINGS' 		=> 'R&eacute;glages',
	'INSTALL_LANGUAGE' 		=> 'Installer une langue',
	'INSTALL_MODULE' 		=> 'Installer un module',
	'INSTALL_TEMPLATE' 		=> 'Installer un th&egrave;me',
	'INVOKE_MODULE_FILES' 	=> 'Ex&eacute;cuter manuellement les fichiers module',
	'LANGUAGE_DETAILS' 		=> 'Propri&eacute;t&eacute;s de la langue',
	'MANAGE_SECTIONS' 		=> 'Gestion des rubriques',
	'MODIFY_ADVANCED_PAGE_SETTINGS' => 'Modifier les propri&eacute;t&eacute;s avanc&eacute;es de la page',
	'MODIFY_DELETE_GROUP' 	=> 'Modifier/Supprimer un groupe',
	'MODIFY_DELETE_PAGE' 	=> 'Modifier/Supprimer une page',
	'MODIFY_DELETE_USER' 	=> 'Modifier/Supprimer un utilisateur',
	'MODIFY_GROUP' 			=> 'Modifier un groupe',
	'MODIFY_GROUPS' 		=> 'Modifier des groupes',
	'MODIFY_INTRO_PAGE' 	=> 'Modifier la page d&apos;accueil',
	'MODIFY_PAGE' 			=> 'Modifier une page',
	'MODIFY_PAGE_SETTINGS' 	=> 'Modifier les propri&eacute;t&eacute;s de la page',
	'MODIFY_USER' 			=> 'Modifier un utilisateur',
	'MODULE_DETAILS' 		=> 'Propri&eacute;t&eacute;s du module',
	'MY_EMAIL' 				=> 'Mon email',
	'MY_PASSWORD' 			=> 'Mon mot de passe',
	'MY_SETTINGS' 			=> 'Mes pr&eacute;f&eacute;rences',
	'SEARCH_SETTINGS' 		=> 'R&eacute;glages de la recherche',
	'SEARCH_PAGE' 			=> 'Search Page',
	'SECURITY_SETTINGS'		=> 'R&eacute;glages de la s&eacute;curit&eacute;',
	'SERVER_SETTINGS' 		=> 'R&eacute;glages du serveur',
	'TEMPLATE_DETAILS' 		=> 'Propri&eacute;t&eacute;s du th&egrave;me',
	'UNINSTALL_LANGUAGE' 	=> 'D&eacute;sinstaller une langue',
	'UNINSTALL_MODULE' 		=> 'D&eacute;sinstaller un Module',
	'UNINSTALL_TEMPLATE' 	=> 'D&eacute;sinstaller un th&egrave;me',
	'UPGRADE_LANGUAGE' 		=> 'Language enregistr&eacute;/mis &agrave; jour',
	'UPLOAD_FILES' 			=> 'Uploader un/des fichier(s)',
	'VISIBILITY' 			=> 'Visibilit&eacute;',
	'WBMAILER_SETTINGS' 	=> 'R&eacute;glages de l&apos;envoi de mail'
); // $HEADING

$MESSAGE = array(
	'ADDON_ERROR_RELOAD' 	=> 'Erreur pendant la mise &agrave; jour des informations des modules.',
	'ADDON_GROUPS_MARKALL' => 'Cocher / D&eacute;cocher tous',
	'ADDON_LANGUAGES_RELOADED' => 'Langues recharg&eacute; avec succ&egrave;s',
	'ADDON_MANUAL_FTP_LANGUAGE' => '<strong>ATTENTION!</strong> pour des r&eacute;sons de s&eacute;curit&eacute;s, envoyez vos fichiers de langues par FTP et utilisez la fonction "mise &agrave; jour" pour faire les changements.',
	'ADDON_MANUAL_FTP_WARNING' => 'Attention: les entr&eacute;es existantes du module seront perdues. ',
	'ADDON_MANUAL_INSTALLATION' => 'Quand les extensions sont upload&eacute;s via ftp (ce qui n&apos;est pas recommand&eacute;), les fichiers d&apos;installation du module <tt>install.php</tt>, <tt>upgrade.php</tt> ou <tt>uninstall.php</tt> ne seront pas ex&eacute;cut&eacute;s automatiquement. Ces modules peuvent ne pas fonctionner ou ne pas se d&eacute;sinstaller correctement.<br /><br />Vous pouvez ex&eacute;cuter les fichiers d&apos;extension manuellement pour les extensions upload&eacute;es via ftp ci-dessous.',
	'ADDON_MANUAL_INSTALLATION_WARNING' => 'Attention: les donn&eacute;es de la base de donn&eacute;es de l&apos;extension existante vont &ecirc;tre perdues. Utilisez cette option si vous rencontrez des probl&egrave;mes avec des modules upload&eacute;s via ftp.',
	'ADDON_MANUAL_RELOAD_WARNING' => 'Attention: les donn&eacute;es de la base de donn&eacute;es de l&apos;extension existante vont &ecirc;tre perdues. ',
	'ADDON_MODULES_RELOADED' => 'Modules recharg&eacute; avec succ&egrave;s',
	'ADDON_PRECHECK_FAILED' => 'Echec de l&apos;installation de l&apos;extension. Votre syst&egrave;me ne respecte pas les pr&eacute;-requis de cette extension. Pour la faire fonctionner, merci de solutionner les erreurs list&eacute;es ci-dessous.',
	'ADDON_RELOAD' 			=> 'Mise &agrave; jour de la base de donn&eacute;es avec les informations des extensions (ou apr&egrave;s l&apos;upload via ftp).',
	'ADDON_TEMPLATES_RELOADED' => 'Les th&egrave;mes ont &eacute;t&eacute; correctement recharg&eacute;s',
	'ADMIN_INSUFFICIENT_PRIVELLIGES' => 'Droits insuffisants pour &ecirc;tre ici',
	'FORGOT_PASS_ALREADY_RESET' => 'D&eacute;sol&eacute;, vous ne pouvez pas modifier votre mot de passe plus d&apos;une fois par heure',
	'FORGOT_PASS_CANNOT_EMAIL' => 'Impossible de vous renvoyer vos identifiants, merci de contacter l&apos;administrateur du site',
	'FORGOT_PASS_EMAIL_NOT_FOUND' => 'L&apos;adresse email que vous avez saisi est introuvable dans la base de donn&eacute;es',
	'FORGOT_PASS_NO_DATA' 	=> 'Merci de saisir votre adresse email',
	'FORGOT_PASS_PASSWORD_RESET' => 'Vos identifiants vous ont &eacute;t&eacute; envoy&eacute; par email',
	'FRONTEND_SORRY_NO_ACTIVE_SECTIONS' => 'D&eacute;sol&eacute;, aucun contenu actif &agrave; afficher',
	'FRONTEND_SORRY_NO_VIEWING_PERMISSIONS' => 'D&eacute;sol&eacute;, vous n&apos;avez pas les droits pour visualiser cette page',
	'GENERIC_ALREADY_INSTALLED' => 'D&eacute;j&agrave; install&eacute;',
	'GENERIC_BAD_PERMISSIONS' => 'Impossible d&apos;&eacute;crire dans le r&eacute;pertoire cible',
	'GENERIC_CANNOT_UNINSTALL' => 'Impossible de d&eacute;sinstaller',
	'GENERIC_CANNOT_UNINSTALL_IN_USE' => 'D&eacute;sinstallation impossible : fichier en cours d&apos;utilisation',
	'GENERIC_CANNOT_UNINSTALL_IN_USE_TMPL' => '<br /><br />{{type}} <b>{{type_name}}</b> ne peut pas &ecirc;tre dÈinstall&eacute; car il est actuellement en cours d\'utilisation dans les pages {{pages}}.<br /><br />',
	'GENERIC_CANNOT_UNINSTALL_IN_USE_TMPL_PAGES' => 'cette page; ces pages',
	'GENERIC_CANNOT_UNINSTALL_IS_DEFAULT_TEMPLATE' => 'Impossible de d&eacute;sinstaller le mod&egrave;le <b>{{name}}</b> parce que c\'est le mod&egrave;le par d&eacute;faut !',
	'GENERIC_CANNOT_UNZIP' 	=> 'Impossible de d&eacute;zipper le fichier',
	'GENERIC_CANNOT_UPLOAD' => 'Impossible d&apos;uploader le fichier',
	'GENERIC_COMPARE' 		=> ' avec succ&egrave;s',
	'GENERIC_ERROR_OPENING_FILE' => 'Erreur lors de l&apos;ouverture du fichier.',
	'GENERIC_FAILED_COMPARE' => ' &eacute;chou&eacute;',
	'GENERIC_FILE_TYPE' 	=> 'Les fichiers charg&eacute;s doivent avoir les extensions suivantes: ',
	'GENERIC_FILE_TYPES' 	=> 'Les fichiers charg&eacute;s doivent &ecirc;tre aux formats suivants: ',
	'GENERIC_FILL_IN_ALL' 	=> 'Merci de remplir tous les champs',
	'GENERIC_INSTALLED' 	=> 'Installation r&eacute;ussie',
	'GENERIC_INVALID' 		=> 'Le fichier charg&eacute; est invalide',
	'GENERIC_INVALID_ADDON_FILE' => 'Fichier d&apos;extension incorrect. V&eacute;rifiez le fichier zip.',
	'GENERIC_INVALID_LANGUAGE_FILE' => 'Fichier de langue incorrect. V&eacute;rifiez le fichier de langue.',
	'GENERIC_IN_USE' 		=> ' mais utilis&eacute; dans ',
	'GENERIC_MODULE_VERSION_ERROR' => 'Le module n\'est pas install&eacute; correctement!',
	'GENERIC_NOT_COMPARE' 	=> ' pas possible',
	'GENERIC_NOT_INSTALLED' => 'Pas install&eacute;',
	'GENERIC_NOT_UPGRADED' 	=> 'Actualisation impossible',
	'GENERIC_PLEASE_BE_PATIENT' => 'S\'il vous pla&icirc;t soyez patient, cela pourrait prendre un certain temps.',
	'GENERIC_PLEASE_CHECK_BACK_SOON' => 'Merci de revenir plus tard...',
	'GENERIC_SECURITY_ACCESS'	=> 'Atteinte &agrave; la s&eacute;curit&eacute;! acc&egrave;s refus&eacute;',
	'GENERIC_SECURITY_OFFENSE'	=> 'Atteinte &agrave; la s&eacute;curit&eacute;! le stockage de donn&eacute;es a &eacute;t&eacute; refus&eacute;e!!',
	'GENERIC_UNINSTALLED' 	=> 'D&eacute;sinstallation r&eacute;ussie',
	'GENERIC_UPGRADED' 		=> 'Mise &agrave; jour r&eacute;ussie',
	'GENERIC_VERSION_COMPARE' => 'Comparaison de versions',
	'GENERIC_VERSION_GT' 	=> 'Mise &agrave; jour n&eacute;cessaires!',
	'GENERIC_VERSION_LT' 	=> 'R&eacute;trograder',
	'GENERIC_WEBSITE_UNDER_CONSTRUCTION' => 'Site en construction',
	'GROUPS_ADDED' 			=> 'Groupe ajout&eacute; avec succ&egrave;s',
	'GROUPS_CONFIRM_DELETE' => 'Etes-vous s&ucirc;r de vouloir supprimer ce groupe (ainsi que tous les utilisateurs de ce groupe) ?',
	'GROUPS_DELETED' => 'Groupe supprim&eacute; avec succ&egrave;s',
	'GROUPS_GROUP_NAME_BLANK' => 'Le nom du groupe est vide',
	'GROUPS_GROUP_NAME_EXISTS' => 'Le nom du groupe est d&eacute;ja existant',
	'GROUPS_NO_GROUPS_FOUND' => 'Groupe introuvable',
	'GROUPS_SAVED' 			=> 'Groupe sauvegard&eacute; avec succ&egrave;s',
	'LANG_MISSING_PARTS_NOTICE' => 'Fichier de langue incorrect. V&eacute;rifiez le fichier de langue. Une ou plusieurs variables sont manquantes:<br />language_code<br />language_name<br />language_version<br />language_license',
	'LOGIN_AUTHENTICATION_FAILED' => 'Votre nom d&apos;utilisateur ou votre mot de passe est incorrect',
	'LOGIN_BOTH_BLANK' 		=> 'Merci de saisir vos identifiants de connexion',
	'LOGIN_PASSWORD_BLANK' 	=> 'Merci de saisir votre mot de passe',
	'LOGIN_PASSWORD_TOO_LONG' => 'Votre mot de passe est trop long',
	'LOGIN_PASSWORD_TOO_SHORT' => 'Votre mot de passe est trop court',
	'LOGIN_USERNAME_BLANK' 	=> 'Merci de saisir votre nom d&apos;utilisateur',
	'LOGIN_USERNAME_TOO_LONG' => 'Votre nom d&apos;utilisateur est trop long',
	'LOGIN_USERNAME_TOO_SHORT' => 'Votre nom d&apos;utilisateur est trop court',
	'MEDIA_BLANK_EXTENSION' => 'Vous n&apos;avez pas entr&eacute; d&apos;extension',
	'MEDIA_BLANK_NAME' 		=> 'Vous n&apos;avezpas entr&eacute; de nouveau nom',
	'MEDIA_CANNOT_DELETE_DIR' => 'Impossible de supprimer le dossier s&eacute;lctionn&eacute;',
	'MEDIA_CANNOT_DELETE_FILE' => 'Impossible de supprimer le fichier s&eacute;lectionn&eacute;',
	'MEDIA_CANNOT_RENAME' 	=> 'Impossible de renommer',
	'MEDIA_CONFIRM_DELETE' 	=> 'Etes-vous s&ucirc;r de vouloir supprimer ce fichier ou dossier ?',
	'MEDIA_CONFIRM_DELETE_FILE'	=> 'Etes-vous s&ucirc;r de vouloir supprimer le fichier {name}?',
	'MEDIA_CONFIRM_DELETE_DIR'	=> 'Etes-vous s&ucirc;r de vouloir supprimer le dossier {name}?',
	'MEDIA_DELETED_DIR' 	=> 'Dossier supprim&eacute; avec succ&egrave;s',
	'MEDIA_DELETED_FILE' 	=> 'Fichier supprim&eacute; avec succ&egrave;s',
	'MEDIA_DIR_ACCESS_DENIED' => 'R&eacute;pertoire sp&eacute;cifi&eacute; n\'existe pas ou n\'est pas autoris&eacute;.',
	'MEDIA_DIR_DOES_NOT_EXIST' => 'Le r&eacute;pertoire n&apos;existe pas',
	'MEDIA_DIR_DOT_DOT_SLASH' => 'Impossible d&apos;inclure ../ dans le nom du dossier',
	'MEDIA_DIR_EXISTS' 		=> 'Un dossier portant ce nom est d&eacute;j&agrave; existant',
	'MEDIA_DIR_MADE' 		=> 'Dossier cr&eacute;&eacute; avec succ&egrave;s',
	'MEDIA_DIR_NOT_MADE' 	=> 'Impossible de cr&eacute;er le dossier',
	'MEDIA_FILE_EXISTS' 	=> 'Un fichier portant ce nom est d&eacute;j&agrave; existant',
	'MEDIA_FILE_NOT_FOUND' 	=> 'Fichier introuvable',
	'MEDIA_NAME_DOT_DOT_SLASH' => 'Impossible d&apos;inclure ../ dans le nom',
	'MEDIA_NAME_INDEX_PHP' 	=> 'Vous ne pouvez pas utiliser index.php comme nom',
	'MEDIA_NONE_FOUND' 		=> 'Aucun media trouv&eacute; dans ce dossier',
	'MEDIA_RENAMED' 		=> 'Renommage r&eacute;ussi avec succ&egrave;s',
	'MEDIA_SINGLE_UPLOADED' => ' Le fichier a &eacute;t&eacute; upload&eacute; avec succ&egrave;s',
	'MEDIA_TARGET_DOT_DOT_SLASH' => 'Impossible d&apos;avoir ../ dans le nom du dossier cible',
	'MEDIA_UPLOADED' 		=> ' Les fichiers ont &eacute;t&eacute; upload&eacute;s avec succ&egrave;s',
	'MOD_MISSING_PARTS_NOTICE' => 'L\'installation du module "%s" &agrave; &eacute;chou&eacute;, une ou plusieurs variables  sont manquantes:<br />module_directory<br />module_name<br />module_version<br />module_author<br />module_license<br />module_guid<br />module_function',
	'MOD_FORM_EXCESS_SUBMISSIONS' => 'D&eacute;sol&eacute; mais ce formulaire est utilis&eacute; trop fr&eacute;quemment en ce moment. Merci de r&eacute;essayer plus tard',
	'MOD_FORM_INCORRECT_CAPTCHA' => 'Le num&eacute;ro de v&eacute;rification (Captcha) que vous avez entr&eacute; est incorrect. Si vous rencontrez des probl&egrave;mes quant &agrave; la lecture de ce num&eacute;ro, merci d&apos;envoyer un email &agrave; : <a href="mailto:'.SERVER_EMAIL.'">'.SERVER_EMAIL.'</a>',
	'MOD_FORM_REQUIRED_FIELDS' => 'Vous devez renseigner les champs suivants',
	'PAGES_ADDED' 			=> 'Page ajout&eacute;e avec succ&egrave;s',
	'PAGES_ADDED_HEADING' 	=> 'L&apos;ent&ecirc;te de la page a &eacute;t&eacute; ajout&eacute; avec succ&egrave;s',
	'PAGES_BLANK_MENU_TITLE' => 'Entrez un titre de menu',
	'PAGES_BLANK_PAGE_TITLE' => 'Entrez un titre de page',
	'PAGES_CANNOT_CREATE_ACCESS_FILE' => 'Erreur lors de la cr&eacute;ation d&apos;un fichier dans le r&eacute;pertoire des pages (privil&egrave;ges insuffisants)',
	'PAGES_CANNOT_DELETE_ACCESS_FILE' => 'Erreur lors de la suppression d&apos;un fichier dans le r&eacute;pertoire des pages (privil&egrave;ges insuffisants)',
	'PAGES_CANNOT_REORDER' 	=> 'Erreur lors du r&eacute;agencement des pages',
	'PAGES_DELETED' 		=> 'Page supprim&eacute;e avec succ&egrave;s',
	'PAGES_DELETE_CONFIRM' 	=> 'Etes-vous s&ucirc;r de vouloir supprimer la page s&eacute;lectionn&eacute;e (ainsi que ses sous-rubriques)',
	'PAGES_INSUFFICIENT_PERMISSIONS' => 'Vous n&apos;avez pas les droits pour modifier cette pages',
	'PAGES_INTRO_LINK' 		=> 'Cliquez ici pour modifier la page d&apos;introduction',
	'PAGES_INTRO_NOT_WRITABLE' => 'Impossible d&apos;&eacute;crire dans la page d&apos;introduction (privil&egrave;ges insuffisants)',
	'PAGES_INTRO_SAVED' 	=> 'Page d&apos;introduction sauvegard&eacute;e avec succ&egrave;s',
	'PAGES_LAST_MODIFIED' 	=> 'Derni&egrave;re mise &agrave; jour par',
	'PAGES_NOT_FOUND' 		=> 'Page introuvable',
	'PAGES_NOT_SAVED' 		=> 'Erreur lors de la sauvegarde de la page',
	'PAGES_PAGE_EXISTS' 	=> 'Une page avec le m&ecirc;me nom existe d&eacute;j&agrave;',
	'PAGES_REORDERED' 		=> 'Page r&eacute;ordonn&eacute;e avec succ&egrave;s',
	'PAGES_RESTORED' 		=> 'Page restaur&eacute;e avec succ&egrave;s',
	'PAGES_RETURN_TO_PAGES' => 'Retour au contenu',
	'PAGES_SAVED' 			=> 'Page sauvegard&eacute;e avec succ&egrave;s',
	'PAGES_SAVED_SETTINGS' 	=> 'Param&egrave;tres de la page sauvegard&eacute;s avec succ&egrave;s',
	'PAGES_SECTIONS_PROPERTIES_SAVED' => 'Les propri&eacute;t&eacute;s de la rubrique ont &eacute;t&eacute; sauvegard&eacute;es avec succ&egrave;s',
	'PREFERENCES_CURRENT_PASSWORD_INCORRECT' => 'Le mot de passe entr&eacute; est incorrect',
	'PREFERENCES_DETAILS_SAVED' => 'Donn&eacute;es sauvegard&eacute;es avec succ&egrave;s',
	'PREFERENCES_EMAIL_UPDATED' => 'Adresse email sauvegard&eacute;e avec succ&egrave;s',
	'PREFERENCES_INVALID_CHARS' => 'Caract&egrave;res invalides pour le mot de passe',
	'PREFERENCES_PASSWORD_CHANGED' => 'Mot de passe modifi&eacute; avec succ&egrave;s',
	'PREFERENCES_PASSWORD_MATCH' => 'Passwords do not match',	
	'RECORD_MODIFIED_FAILED' => 'Le changement de l\'enregistrement a &eacute;chou&eacute;.',
	'RECORD_MODIFIED_SAVED' => 'Le changement de l\'enregistrement a &eacute;t&eacute; modifi&eacute; avec succ&egrave;s.',
	'RECORD_NEW_FAILED' 	=> 'L\'ajout de l\'enregistrement a &eacute;chou&eacute;.',
	'RECORD_NEW_SAVED' 		=> 'Le nouvel enregistrement a &eacute;t&eacute; ajout&eacute; avec succ&egrave;s.',
	'SETTINGS_MODE_SWITCH_WARNING' => 'Attention : en cliquant sur ce bouton, vous ne sauvegardez pas vos modifications',
	'SETTINGS_SAVED' 		=> 'R&eacute;glages sauvegard&eacute;s avec succ&egrave;s',
	'SETTINGS_UNABLE_OPEN_CONFIG' => 'Impossible de lire le fichier de configuration',
	'SETTINGS_UNABLE_WRITE_CONFIG' => 'Impossible d&apos;&eacute;crire dans le fichier de configuration',
	'SETTINGS_WORLD_WRITEABLE_WARNING' => 'Recommand&eacute; uniquement pour les environnement de test',
	'SIGNUP2_ADMIN_INFO' 	=> '
Un nouvel utilisateur a &eacute;t&eacute; enregistr&eacute;.

Nom d\'utilisateur: {LOGIN_NAME}
ID utilisateur: {LOGIN_ID}
E-Mail: {LOGIN_EMAIL}
Adresse IP : {LOGIN_IP}
Date d\'enregistrement: {SIGNUP_DATE}
----------------------------------------
Ce message a &eacute;t&eacute; g&eacute;n&eacute;r&eacute; automatiquement!

',
	'SIGNUP2_BODY_LOGIN_FORGOT' => '
Bonjour {LOGIN_DISPLAY_NAME},

Cet email a &eacute;t&eacute; envoy&eacute; car la fonction "j\'ai oubli&eacute; mon mot de passe" a &eacute;t&eacute; appliqu&eacute; pour votre compte.


Les param&egrave;tres de connexion au site web {LOGIN_WEBSITE_TITLE} sont :
identifiant : {LOGIN_NAME}
mot de passe : {LOGIN_PASSWORD}

Votre mot de passe a &eacute;t&eacute; modifi&eacute; avec la valeur ci-dessus.
Par cons&eacute;quent, votre ancien mot de passe n&apos;est plus valide.

Si vous avez des questions ou des probl&egrave;mes avec les nouvelles informations de connexion, vous devriez contacter le site ou l\'&eacute;quipe d\'administrateur du site {LOGIN_WEBSITE_TITLE}.
N\'oubliez pas de vider le cache de votre navigateur avant de tenter une nouvelle connexion.

Cordialement
------------------------------------
Ce message a &eacute;t&eacute; g&eacute;n&eacute;r&eacute; automatiquement!

',
	'SIGNUP2_BODY_LOGIN_INFO' => '
Bonjour {LOGIN_DISPLAY_NAME},

Bienvenue sur \'{LOGIN_WEBSITE_TITLE}\'.

Vos \'{LOGIN_WEBSITE_TITLE}\' informations de connexion sont:
identifiant: {LOGIN_NAME}
mot de passe: {LOGIN_PASSWORD}

Cordialement

Si vous avez re&ccdil;u ce message par erreur, merci de le supprimer imm&eacute;diatement.
-------------------------------------
Ce message a &eacute;t&eacute; g&eacute;n&eacute;r&eacute; automatiquement!
',
	'SIGNUP2_SUBJECT_LOGIN_INFO' => 'Param&egrave;tres de votre connexion ...',
	'SIGNUP_NO_EMAIL' 		=> 'L&apos;adresse email est obligatoire',
	'START_CURRENT_USER' 	=> 'Vous &ecirc;tes connect&eacute; en tant que: ',
	'START_INSTALL_DIR_EXISTS' => 'Attention : le r&eacute;pertoire d&apos;installation existe toujours!',
	'START_WELCOME_MESSAGE' => 'Bienvenue dans la zone d&apos;administration',
	'SYSTEM_FUNCTION_DEPRECATED'=> 'La fonction <b>%s</b> est obsol&egrave;te, utilisez la fonction <b>%s</b> !',
	'SYSTEM_FUNCTION_NO_LONGER_SUPPORTED' => 'La fonction <b>%s</b> est p&eacute;rim&eacute;e  et n\'est plus support&eacute;!!',
	'SYSTEM_SETTING_NO_LONGER_SUPPORTED' => 'Le r&eacute;glage <b>%s</ b> n\'est plus support&eacute; et sera ignor&eacute;!',
	'TEMPLATES_CHANGE_TEMPLATE_NOTICE' => 'Pour modifier le th&egrave;me du site, vous devez vous rendre dans la rubrique R&eacute;glages',
	'TEMPLATES_MISSING_PARTS_NOTICE' => 'L\'installation du th&egraveme a &eacute;chou&eacute;, un ou plusieurs variables suivantes sont manquantes:<br />template_directory<br />template_name<br />template_version<br />template_author<br />template_license<br />template_function ("theme" ou "template")',
	'USERS_ADDED' 			=> 'Utilisateur ajout&eacute; avec succ&egrave;s',
	'USERS_CANT_SELFDELETE' => 'Fonction rejet&eacute;e, vous ne pouvez pas vous supprimer!',
	'USERS_CHANGING_PASSWORD' => 'Vous ne devez modifier les valeurs ci-dessus uniquement lors d&apos;une modification de mot de passe',
	'USERS_CONFIRM_DELETE' 	=> 'Etes-vous s&ucirc;r de vouloir supprimer cet utilisateur?',
	'USERS_DELETED' 		=> 'Utilisateur supprim&eacute; avec succ&egrave;s',
	'USERS_EMAIL_TAKEN' 	=> 'L&apos;adresse email est d&eacute;ja utilis&eacute;e',
	'USERS_INVALID_EMAIL' 	=> 'L&apos;adresse email n&apos;est pas valide',
	'USERS_NAME_INVALID_CHARS' => 'Caract&egrave;res invalides pour le nom d\'utilisateur',
	'USERS_NO_GROUP' 		=> 'Aucun groupe n&apos;a &eacute;t&eacute; s&eacute;lectionn&eacute;',
	'USERS_PASSWORD_MISMATCH' => 'Le mot de passe est introuvable',
	'USERS_PASSWORD_TOO_SHORT' => 'Le mot de passe est trop court',
	'USERS_SAVED' 			=> 'Utilisateur sauvegard&eacute; avec succ&egrave;s',
	'USERS_USERNAME_TAKEN' 	=> 'Le nom d&apos;utilisateur est d&eacute;ja utilis&eacute;',
	'USERS_USERNAME_TOO_SHORT' => 'Le nom d&apos;utilisateur est trop court'
); // $MESSAGE

$OVERVIEW = array(
	'ADMINTOOLS' 			=> 'Acc&egrave;s aux outils d&apos;administration de LEPTON...',
	'GROUPS' 				=> 'Gestions des groupes d&apos;utilisateurs et des permissions...',
	'HELP' 					=> 'Aide et FAQ sur l&apos;utilisation du site...',
	'LANGUAGES' 			=> 'Gestion des langues du site...',
	'MEDIA' 				=> 'Gestion des fichiers media (images, t&eacute;l&eacute;chargements...)',
	'MODULES' 				=> 'Gestion des modules du site...',
	'PAGES' 				=> 'Gestion du contenu du site...',
	'PREFERENCES' 			=> 'Gestion de vos pr&eacute;f&eacute;rences (email, mot de passe...) ',
	'SETTINGS' 				=> 'Configuration du site...',
	'START' 				=> 'Pr&eacute;sentation de l&apos;administration',
	'TEMPLATES' 			=> 'Gestion des th&egrave;mes et modification de l&apos;apparence du site...',
	'USERS' 				=> 'Gestion des acc&egrave;s au site...',
	'VIEW' 					=> 'Aper&ccedil;u du site dans une nouvelle fen&ecirc;tre...'
);

/*
 * Create the old languages definitions only if specified in settings
 */
if (ENABLE_OLD_LANGUAGE_DEFINITIONS) {
	foreach ($MESSAGE as $key => $value) {
		$x = strpos($key, '_');
		$MESSAGE[substr($key, 0, $x)][substr($key, $x+1)] = $value;
	}
}
?>